using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Exam.Infrastructure.Extensions;
using Hotline.Share.Enums.Exams;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;

namespace Exam.Share
{
    /// <summary>
    /// 题型分数
    /// </summary>
    [Description("题型分数")]
    public class ExamQuestionScoreDto: UpdateExamQuestionScoreDto
    {
        /// <summary>
        /// 试题类型
        /// </summary>
        [Description("试题类型")]
        public string  QuestionTypeDesc {
            get
            {
                return QuestionType.GetDescription();
            }
        }
    }

    /// <summary>
    /// 题型分数
    /// </summary>
    [Description("题型分数")]
    public class AddExamQuestionScoreDto : IAddRequest,IOperationStatus
    {
        /// <summary>
        /// 试题类型
        /// </summary>
        [Description("试题类型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 试题分数
        /// </summary>
        [Description("试题分数")]
        public int Score { get; set; }

        /// <summary>
        /// 试题数
        /// </summary>
        [Description("试题数")]
        public int Count { get; set; }

        /// <summary>
        /// 考试管理Id
        /// </summary>
        [Description("考试管理Id")]
        public string ExamManageId { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }
    }

    /// <summary>
    /// 题型分数
    /// </summary>
    [Description("题型分数")]
    public class UpdateExamQuestionScoreDto : AddExamQuestionScoreDto,IActionRequest
    {

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
